Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac
Class DefaultRenderXml

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.AbstractDefaultRenderXml
          org.esupportail.portal.channels.CStockage.channelAction.injac.DefaultRenderXml

public class DefaultRenderXml
extends AbstractDefaultRenderXml

Id: DefaultRenderXml.java,v 1.0 27 sept. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: DefaultRenderXml Original Author: Yohan Colmant Get the XML to show the curent dir

Field Summary
`protected static Log` | `log` Logger object

Constructor Summary
`DefaultRenderXml()`

Method Summary
`static java.lang.StringBuffer` | `getXml(java.util.ArrayList spaces, Space currentSpace, ChannelException error, java.lang.String information, java.lang.String userPortalLogin, java.util.Vector userGroups, DirectoryProperties directoryProperties, java.lang.String currentSortType)` Return the XML representing the curent dir
`private static java.lang.StringBuffer` | `getXmlAction(Space currentSpace, java.lang.String userPortalLogin, java.util.Vector userGroups, DirectoryProperties directoryProperties)` Get the XML for the action bar
`private static java.lang.StringBuffer` | `getXmlContent(Space currentSpace, ChannelResource[] resources, java.lang.String userPortalLogin, java.util.Vector userGroups, DirectoryProperties directoryProperties, java.lang.String currentSortType)` Get the XML for the content
`private static java.lang.StringBuffer` | `getXmlForResource(java.lang.String name, java.lang.String type, java.lang.String state, boolean defaultDocument, java.lang.String weight, java.util.Calendar date)` Return the xml for one resource

Methods inherited from class org.esupportail.portal.channels.CStockage.channelAction.AbstractDefaultRenderXml
`getLastUpdateDateXml, getLengthFormat, getXmlError, getXmlForPasswordSetting, getXmlInformation, getXmlNavigation, getXmlPassword`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

Constructor Detail

### DefaultRenderXml

    public DefaultRenderXml()

Method Detail

### getXml

    public static java.lang.StringBuffer getXml(java.util.ArrayList spaces,
                                                Space currentSpace,
                                                ChannelException error,
                                                java.lang.String information,
                                                java.lang.String userPortalLogin,
                                                java.util.Vector userGroups,
                                                DirectoryProperties directoryProperties,
                                                java.lang.String currentSortType)

  Return the XML representing the curent dir

  Parameters:
    `spaces` - the spaces list
    `currentSpace` - the current space used
    `error` - the error exception
    `information` - this information message
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `directoryProperties` -
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the xml generated

### getXmlAction

    private static java.lang.StringBuffer getXmlAction(Space currentSpace,
                                                       java.lang.String userPortalLogin,
                                                       java.util.Vector userGroups,
                                                       DirectoryProperties directoryProperties)
                                                throws PropertiesException,
                                                       ServerException

  Get the XML for the action bar

  Parameters:
    `currentSpace` - the current space used
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `directoryProperties` - the current directory properties
  Returns:
    the XML as a StringBuffer
  Throws:
    `PropertiesException`
    `ServerException`

### getXmlContent

    private static java.lang.StringBuffer getXmlContent(Space currentSpace,
                                                        ChannelResource[] resources,
                                                        java.lang.String userPortalLogin,
                                                        java.util.Vector userGroups,
                                                        DirectoryProperties directoryProperties,
                                                        java.lang.String currentSortType)
                                                 throws PropertiesException,
                                                        ServerException

  Get the XML for the content

  Parameters:
    `currentSpace` - the current space used
    `resources` - all the ChannelWebdavResource objects
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `directoryProperties` - the current directory properties
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the XML as a StringBuffer
  Throws:
    `PropertiesException`
    `ServerException`

### getXmlForResource

    private static java.lang.StringBuffer getXmlForResource(java.lang.String name,
                                                            java.lang.String type,
                                                            java.lang.String state,
                                                            boolean defaultDocument,
                                                            java.lang.String weight,
                                                            java.util.Calendar date)

  Return the xml for one resource

  Parameters:
    `name` - the name of the resource
    `type` - the type of the resource
    `state` - the state of a directory
    `defaultDocument` - if it is a directory, if it is the default document
    `weight` - the weight of the resource
    `date` - the last modification date
  Returns:
    the xml for one resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD